<!DOCTYPE html>
<html>
 <head>
  <meta charset="utf-8" />
  <title>Homework8</title>
 </head>
 <body>
   <input value="Price" type="text" id="input">
   <script>document.getElementById("input").addEventListener("focusin", myFunction);
document.getElementById("input").addEventListener("focusout", myFunctios);
let elem = document.getElementById("input"); 
let span = document.createElement('span');
let button = document.createElement('button');
let br = document.createElement('br');
function myFunction() {

  document.getElementById("input").style.border = "4px solid green";
}

function myFunctios() {
let x = +document.getElementById("input").value; 
if(!x | x<0) {
span.innerHTML = `<br>Enter correct price<br>`;
input.after(span);
br.remove(); 
button.remove();
elem.style.color = "red";
}
else {
 span.innerHTML = `Текущая цена: ${x}`;  
  button.innerHTML = `x<br>`;  
   input.before(span);
   input.before(button);
   input.before(br);
   elem.style.color = "green";
 }
document.getElementById("input").style.border = "";
 
}
button.onclick = function newfunc() {
  span.remove();  
  br.remove(); 
  button.remove();
  document.getElementById("input").value="Price";
}
 
</script>
 </body>
</html>

